//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "CloseRegIDH.h"
#include "TourRES.h"

#include "GoDrawGUI.h"

#include "MenuMaster.h"
#include "CloseRegForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

//---------------------------------------------------------------------------
__fastcall TCloseRegFrm::TCloseRegFrm
(
	TComponent* Owner,
   TourCloseRegMaster::MCloseRegTube& closeregtube
)
:TForm(Owner), CloseRegTube(closeregtube)
{
	Caption = LoadStr(IDT_CloseRegTit)+CloseRegTube.TourNameYear;
   
	NotRegText->Caption = LoadStr(IDT_CloseRegWarn);

   HelpFile = GoDraw::HelpFilePath(String("CloseReg.hlp"));

   CloseRegGroup->HelpContext = IDH_crOps;
   OkBtn->HelpContext 			= IDH_crOk;
   CancelBtn->HelpContext 		= IDH_crCancel;

	CloseRegGroup->ItemIndex = CloseRegTube.Action;
}

//---------------------------------------------------------------------------
void __fastcall TCloseRegFrm::OkBtnClick(TObject *Sender)
{
	CloseRegTube.Action = CloseRegGroup->ItemIndex;

   ModalResult = mrOk;
}
//---------------------------------------------------------------------------

void __fastcall TCloseRegFrm::CancelBtnClick(TObject *Sender)
{
	ModalResult = mrCancel;
}
//---------------------------------------------------------------------------

void __fastcall TCloseRegFrm::HelpBtnClick(TObject *Sender)
{
	try{ Application->HelpCommand(HELP_CONTEXT, IDH_CLOSEREG); }catch(...){ }
}
//---------------------------------------------------------------------------

void __fastcall TCloseRegFrm::FormClose(TObject *Sender,
      TCloseAction &Action)
{
	try{ Application->HelpCommand(HELP_QUIT, 0); }catch(...){ }	
}
//---------------------------------------------------------------------------

