////////////////////////////////////////////////////////////////////////////////
// MODULE EdPlayerRES.rc:   EditPlayerForm               G.Kaniuk 23/02/08
//

#ifndef EdPlayerRESH
#define EdPlayerRESH
//------------------------------------------------------------------------------

#define IDB_EDPLAYER       	  	7000       // RANGE 7000 - 7999
#define IDB_FRMTEX				  	IDB_EDPLAYER+1
#define IDB_ClickCancel				IDB_FRMTEX+1
#define IDB_ClickOK					IDB_FRMTEX+2
#define IDB_Behaviour				IDB_FRMTEX+3
#define IDB_None						IDB_FRMTEX+4

#define IDB_NewPlayer            IDB_FRMTEX+10
#define IDB_KnownPlayer          IDB_FRMTEX+11
#define IDB_Ready          		IDB_FRMTEX+12

#define IDB_BlackPlayer				IDB_FRMTEX+13
#define IDB_WhitePlayer				IDB_FRMTEX+14
#define IDB_RegHint					IDB_FRMTEX+15
#define IDB_RestoreHint				IDB_FRMTEX+16
#define IDB_SaveHint					IDB_FRMTEX+17

#define IDB_Name						IDB_FRMTEX+20
#define IDB_Grade						IDB_FRMTEX+21
#define IDB_Club						IDB_FRMTEX+22
#define IDB_Land						IDB_FRMTEX+23
#define IDB_Group						IDB_FRMTEX+24
#define IDB_Note						IDB_FRMTEX+25

#define IDB_ColBal					IDB_FRMTEX+26
#define IDB_UpDnBal					IDB_FRMTEX+27
#define IDB_Uneven					IDB_FRMTEX+28

#define IDB_ROUNDSHEAD				IDB_FRMTEX+30
#define IDB_Round						IDB_ROUNDSHEAD+0
#define IDB_Playing		         IDB_ROUNDSHEAD+1
#define IDB_Opponent		         IDB_ROUNDSHEAD+2
#define IDB_Colour		         IDB_ROUNDSHEAD+3
#define IDB_UpDn			         IDB_ROUNDSHEAD+4
#define IDB_Stones		         IDB_ROUNDSHEAD+5
#define IDB_Komi			         IDB_ROUNDSHEAD+6
#define IDB_Result               IDB_ROUNDSHEAD+7
#define IDB_NoText               IDB_ROUNDSHEAD+8
#define IDB_Yes                  IDB_ROUNDSHEAD+9

#define IDB_PLAYERFILE				IDB_FRMTEX+50
#define IDB_INameFG					IDB_PLAYERFILE+1
#define IDB_IGrade               IDB_PLAYERFILE+2
#define IDB_IClub                IDB_PLAYERFILE+3
#define IDB_ILand                IDB_PLAYERFILE+4
#define IDB_IRating              IDB_PLAYERFILE+5


#define IDB_OPMSG					  	IDB_EDPLAYER+200
#define IDB_NoEditFrm            IDB_OPMSG+1
#define IDB_Editing				  	IDB_OPMSG+2
#define IDB_PlayerDeleted        IDB_OPMSG+3
#define IDB_PlayerChanged        IDB_OPMSG+4
#define IDB_CorruptPlayerNum     IDB_OPMSG+5
#define IDB_BadFormState 			IDB_OPMSG+6
#define IDB_BadTubeState 			IDB_OPMSG+7
#define IDB_NoNewPlayer 			IDB_OPMSG+8


#define IDB_LOADPLAYERLIST			IDB_OPMSG+10
#define IDB_leNoError            IDB_LOADPLAYERLIST+0
#define IDB_leCannotLoad         IDB_LOADPLAYERLIST+1
#define IDB_leFewLines           IDB_LOADPLAYERLIST+2
#define IDB_leBadHeader          IDB_LOADPLAYERLIST+3
#define IDB_leBadLine            IDB_LOADPLAYERLIST+4
#define IDB_leUnknown            IDB_LOADPLAYERLIST+5

#define IDB_MAKEPLAYER				IDB_OPMSG+20
#define IDB_peNoError				IDB_MAKEPLAYER+0
#define IDB_pePidZero				IDB_MAKEPLAYER+1
#define IDB_pePidBig					IDB_MAKEPLAYER+2
#define IDB_pePidDel					IDB_MAKEPLAYER+3
#define IDB_pePidBad					IDB_MAKEPLAYER+4
#define IDB_peReg                IDB_MAKEPLAYER+5
#define IDB_peName               IDB_MAKEPLAYER+6
#define IDB_peNameDup				IDB_MAKEPLAYER+7
#define IDB_peGrade              IDB_MAKEPLAYER+8
#define IDB_peClub               IDB_MAKEPLAYER+9
#define IDB_peLand               IDB_MAKEPLAYER+10
#define IDB_peGroup					IDB_MAKEPLAYER+11
#define IDB_peNote               IDB_MAKEPLAYER+12
#define IDB_peMMSi               IDB_MAKEPLAYER+13
#define IDB_peCount 					IDB_MAKEPLAYER+14

#define IDB_PLAYERINFO    			IDB_OPMSG+40
#define IDB_prNone					IDB_PLAYERINFO+0
#define IDB_prNewMMS             IDB_PLAYERINFO+1
#define IDB_prJoin               IDB_PLAYERINFO+2
#define IDB_prLeave              IDB_PLAYERINFO+3
#define IDB_prRestored           IDB_PLAYERINFO+4
#define IDB_prFullyRestored      IDB_PLAYERINFO+5
#define IDB_prNewGrade           IDB_PLAYERINFO+6
#define IDB_prCorrupt            IDB_PLAYERINFO+7

#define IDB_MISSING    				IDB_OPMSG+50
#define IDB_MissingPid				IDB_MISSING+0
#define IDB_MissingName				IDB_MISSING+1
#define IDB_MissingGrade			IDB_MISSING+2
#define IDB_MissingClub				IDB_MISSING+3
#define IDB_MissingLand				IDB_MISSING+4

#define IDB_FASTREG              IDB_OPMSG+60
#define IDB_NoToggleReg          IDB_FASTREG+1
#define IDB_RegSearched          IDB_FASTREG+2
#define IDB_AllReg          		IDB_FASTREG+3
#define IDB_AlreadyReg           IDB_FASTREG+4
#define IDB_FastRegMode          IDB_FASTREG+5
#define IDB_FastRegKeys      		IDB_FASTREG+6
#define IDB_FastRegEditing      	IDB_FASTREG+7

#define IDB_REGPOPUP             IDB_OPMSG+70
#define IDB_NoPlayerHere     		IDB_REGPOPUP+1

#define IDB_GROUPS             	IDB_OPMSG+80
#define IDB_rgGroupForbid			IDB_GROUPS+1
#define IDB_rgGroupSpecial       IDB_GROUPS+2
#define IDB_rgGroupSuper         IDB_GROUPS+3
#define IDB_rgGroupOther			IDB_GROUPS+4


//------------------------------------------------------------------------------
#endif

