////////////////////////////////////////////////////////////////////////////////
// MODULE FileMUI:       File Menu  Interface       G.Kaniuk 14/05/04
//

#include "RegGUI.h"
#include "PairPaneGUI.h"

#ifndef FileMUIH
#define FileMUIH


namespace FileMUI
{
	void __fastcall StartClearGrids
   (
      RegGUI::GRegGrid* RegGrid, PaneGUI::GPairPane* PairPane
   );

	void __fastcall NewCmd
   (
   	TComboBox* RoundBox,
      RegGUI::GRegGrid* RegGrid, PaneGUI::GPairPane* PairPane
   );

   void __fastcall OpenTourFile                      	
   (
      String FileName, TComboBox* RoundBox,
      RegGUI::GRegGrid* RegGrid, PaneGUI::GPairPane* PairPane
   );

   void __fastcall OpenCmd
   (
      TOpenDialog* OpenDlg, TComboBox* RoundBox,
      RegGUI::GRegGrid* RegGrid, PaneGUI::GPairPane* PairPane
   );

   void __fastcall CloseCmd
   (
      RegGUI::GRegGrid* RegGrid, PaneGUI::GPairPane* PairPane
   );

   bool __fastcall CloseGodraw(RegGUI::GRegGrid* RegGrid);

   void __fastcall BackupCmd(TStatusBar* StatusBar);

   void __fastcall SaveCopyCmd(TSaveDialog* SaveCopyDlg, TStatusBar* StatusBar);

   void __fastcall ImportCmd
   (
   	TOpenDialog* ImportDlg,
      TComboBox* RoundBox,
   	RegGUI::GRegGrid* RegGrid,
      PaneGUI::GPairPane* PairPane
   );
}
//---------------------------------------------------------------------------
#endif
 