////////////////////////////////////////////////////////////////////////////////
// MODULE GoRForm:       EXPORT RATINGS FILE        G.Kaniuk 06/03/03
//

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>

#include "ExportGUI.h"

#ifndef GoRFormH
#define GoRFormH
//---------------------------------------------------------------------------

class TGoRFrm : public TForm
{
__published:	// IDE-managed Components
   TMemo *GoRMem;
   TButton *SaveAsBtn;
   TButton *SaveBtn;
   TButton *CancelBtn;
   TLabel *FileLbl;
	TLabel *GlossLbl;
   void __fastcall SaveBtnClick(TObject *Sender);
   void __fastcall CancelBtnClick(TObject *Sender);
   void __fastcall SaveAsBtnClick(TObject *Sender);
private:
   TSaveDialog* SaveAsDlg;    // Supplied from Main GoDraw form

   GoRGUI::GoRTube* GoR;      // Communicate changes here


public:		
   __fastcall TGoRFrm(TComponent* Owner, TSaveDialog* SaveDlg, GoRGUI::GoRTube* gor);
};
//---------------------------------------------------------------------------
extern PACKAGE TGoRFrm *GoRFrm;
//---------------------------------------------------------------------------
#endif
