////////////////////////////////////////////////////////////////////////////////
// MODULE HelpMUI:       Help Menu  Interface       G.Kaniuk 08/08/04
//

#include <vcl.h>
#pragma hdrstop
#include "GoErrMsgRES.h"

#include "ETour.h"

#include "AboutForm.h"
#include "HelpMUI.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)

namespace FileMUI                                  // ERROR MANAGEMENT
{
   static void Throw(ToolsGUI::EType etype, short idevent, short idmsg)
   {
      ToolsGUI::ThrowError(etype, IDE_HelpMUI, idevent, idmsg);
   }

   static int Serve(Exception& Err, short idevent)
   {
      return ToolsGUI::Serve(Err, IDE_HelpMUI, idevent);
   }
}
//---------------------------------------------------------------------------

namespace HelpMUI
{
	void __fastcall ShowAboutForm(TComponent* Owner)
   {
   	try
      {
      	TAboutFrm* AboutFrm = new TAboutFrm(Owner);

         AboutFrm->ShowModal();

         delete AboutFrm;
      }
      catch(...)
      {
      	ToolsGUI::ShowWin32Err(IDE_HelpMUI, IDE_NoMemory);
      }
   }
}
//---------------------------------------------------------------------------
