////////////////////////////////////////////////////////////////////////////////
// MODULE PairForm:       Pair Details Dialogue        G.Kaniuk 05/04/02
//
#include <vcl.h>
#pragma hdrstop

#include "TourRES.h"
#include "MenuMaster.h"
#include "PairForm.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

//---------------------------------------------------------------------------
__fastcall TPairFrm::TPairFrm(TComponent* Owner,TourFormMaster::MPairTube& PairTube): TForm(Owner)
{
   TGridRect NoSelect;
	   NoSelect.Top    = -1;   NoSelect.Left  = -1;
	   NoSelect.Bottom = -1;   NoSelect.Right = -1;
   PairGrid->Selection = NoSelect;

	// TITLE
   Caption = LoadStr(IDT_PairDetails) + PairTube.TourNameYear;

   // BOARD NUMBER AND ROUND
  	BoardRndLbl->Caption = PairTube.BoardRound;

   // PAIR DETAILS
  	for(int r=0; r<=PairGrid->RowCount; r++)
   {
      for(int c=0; c<8; c++)
      	PairGrid->Cells[c][r] = PairTube.Pair(r,c);
   }

   // COMMENTS
   CommentBox->Clear();

   for(size_t k=0; k<PairTube.Comments.size(); k++)
   	CommentBox->Items->Add(PairTube.Comments[k]);
}
//---------------------------------------------------------------------------
