////////////////////////////////////////////////////////////////////////////////
// MODULE PairMUI: Parameters and Monitor dialogue support    G.Kaniuk 11/10/04
//
#include <vector>
#include <vcl.h>
#pragma hdrstop

#include "PairMaster.h"

#ifndef PairMUIH
#define PairMUIH

namespace PairMUI
{
	using std::vector;
   using PairMaster::PairCount;
   
	enum				// PairPars dialogue return
   {
   	ppCancel,	// User cancelled
      ppOK,       // User hit OK
      ppFail		// Could not display dialogue
   };


  	void MonitorForm
   (
   	TComponent* Owner,
      PairCount& Model, PairCount& Actual,
      std::vector<PairCount>& Trials
   );

	int PairParsForm(TComponent* Owner, bool Enabled, Byte* PairParam);
}

//---------------------------------------------------------------------------
#endif
