///////////////////////////////////////////////////////////////////////////////
// MODULE PairParsForm:       Pairing Parametetes Form        G.Kaniuk 15/10/04
///////////////////////////////////////////////////////////////////////////////
//
// If you set a control->Enabled = false, the text usually shows grey.
// For Edits and Combo's, if you set Controls[c]->Enabled = false, the text shows
// as black
//
////////////////////////////////////////////////////////////////////////////////
//
#include <vcl.h>
#pragma hdrstop

#include "PairParsForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
__fastcall TPairParsFrm::TPairParsFrm
(
	TComponent* Owner,
   bool Enabled, PairMaster::PairParams& pars
)
:TForm(Owner), Pars(pars)
{
	TrialEd->Text = String(Pars.Trials);

	if(!Enabled)
   {
   	for(int c=0; c<ControlCount; c++)
      	Controls[c]->Enabled = false;

   	OkBtn->Enabled = false;
   }
}
//---------------------------------------------------------------------------


void __fastcall TPairParsFrm::OkBtnClick(TObject *Sender)
{
	Pars.Trials = TrialEd->Text.Trim().ToInt();

   ModalResult = mrOk;
}
//---------------------------------------------------------------------------

