////////////////////////////////////////////////////////////////////////////////
// MODULE PrintMUI:  Interface to printing system 		G.Kaniuk 		12/01/05
//
#include "RegGUI.h"

#ifndef PrintMUIH
#define PrintMUIH
//---------------------------------------------------------------------------

namespace PrintMUI
{
	using RegGUI::GRegGrid;
   
   void PrintRegisterCmd(GRegGrid* RegGrid, bool PrinterDlg);
   void PrintDrawResCmd(int Mode, bool PrinterDlg);

   void PrintRankCmd(bool PrinterDlg);
   void PrintPrizeCmd(bool PrinterDlg);
   void PrintCardsCmd(TComponent* Owner, bool PrinterDlg);
   void PrintTestCmd(void);
   void PrintSetupCmd(void);

}
//---------------------------------------------------------------------------
#endif
 