//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TourRES.h"
#include "String.h"
#include "RankForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
__fastcall TRankFrm::TRankFrm(TComponent* Owner, TourRankMaster::MRankTube& RankTube): TForm(Owner)
{
	using Tools::s_S;

	Caption = LoadStr(IDT_RANKLIST) + " - " + s_S(RankTube.TourNameYear);

	RankGrid->RowCount = RankTube.Active+1;
   RankGrid->ColCount = RankTube.Fields;

   int TotalColWidth = 0;

   for(int f=0; f<RankTube.Fields; f++)
   {
   	String Head = s_S(RankTube.GetField(f,0));

      RankGrid->ColWidths[f] = RankGrid->Canvas->TextWidth(Head) + 10;

      RankGrid->Cells[f][0] = Head;

      if(f<=10) TotalColWidth += RankGrid->ColWidths[f];
   }

   RankGrid->Width = TotalColWidth + 28;
   RankGrid->Height = 16*RankGrid->DefaultRowHeight + 33;

   Width = RankGrid->Width + 38;
   Height = RankGrid->Height + 47;

   int rfb=0;

   for(int row=1; row<RankGrid->RowCount; row++)
   for(int f=0; f<RankTube.Fields; f++)
   {
   	std::string sfrow = RankTube.GetField(f,row);

      String Sfrow = s_S(sfrow);

      RankGrid->Cells[f][row] = Sfrow;

      String Tfrow = RankGrid->Cells[f][row];

      if(Tfrow != Sfrow)++rfb;

      // RankGrid->Cells[f][row] = s_S(RankTube.GetField(f,row));
   }
   rfb=0;
}
//---------------------------------------------------------------------------
