////////////////////////////////////////////////////////////////////////////////
// MODULE RulesForm:       Rules setup Dialogue        G.Kaniuk 05/04/02
//

#include <Buttons.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "RulesMaster.h"
#include <Mask.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------

#ifndef RulesFormH
#define RulesFormH

class TRulesFrm : public TForm
{
__published:	// IDE-managed Components
   TButton *OKBtn;
   TButton *CancelBtn;
	TGroupBox *CommonGrp;
   TGroupBox *ParamGrp;
	TStringGrid *RoomsGrid;
   TLabel *RoundsLbl;
   TLabel *TieOneLbl;
   TLabel *TieTwoLbl;
   TComboBox *RoundsBox;
   TComboBox *TieOneBox;
   TComboBox *TieTwoBox;
   TRadioGroup *SegGrp;
   TRadioGroup *RuleGrp;
   TLabel *HcapLbl;
   TLabel *KomiLbl;
   TLabel *SuperLbl;
   TLabel *StyleLbl;
   TComboBox *StyleBox;
	TLabel *UnresolvedLbl;
   TComboBox *VoidBox;
   TLabel *PrizeLbl;
   TComboBox *PrizeBox;
	TButton *AdvancedBtn;
	TButton *HelpBtn;
	TMaskEdit *HcapEd;
	TMaskEdit *KomiEd;
	TMaskEdit *SupEd;
   void __fastcall OKBtnClick(TObject *Sender);
   void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall RoomsGridClick(TObject *Sender);
	void __fastcall RoomsGridGetEditMask(TObject *Sender, int ACol, int ARow,
          AnsiString &Value);
	void __fastcall RoomsGridKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall AdvancedBtnClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall RoundsBoxClick(TObject *Sender);
private:
	void __fastcall CalcBoardRanges(void);

public:		// User declarations
	RulesMaster::MRulesTube RulesTube;

   __fastcall TRulesFrm(TComponent* Owner, RulesMaster::MRulesTube& rulestube);
};
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
#endif
