////////////////////////////////////////////////////////////////////////////////
// MODULE SeekForm:      User Search                  G.Kaniuk 05/04/02
//

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
//------------------------------------------------------------------------------

#include "RegGUI.h"
#include "RegMaster.h"
#include "RegPanelGUI.h"

#ifndef SeekFormH
#define SeekFormH

class SListBox: public RegPanelGUI::MListBox
{
	private:
   	RegGUI::GRegGrid* RegGrid;

	public:
       __fastcall SListBox
      (
         TComponent* owner, RegGUI::GRegGrid* rgrid
      );

      DYNAMIC void __fastcall KeyDown(Word &Key,TShiftState Shift);
      DYNAMIC void __fastcall Click(void);
};
//------------------------------------------------------------------------------

class TSeekFrm : public TForm
{
__published:	// IDE-managed Components
   TCheckBox *NameChk;
   TComboBox *NameBox;
   TComboBox *ClubBox;
   TComboBox *LandBox;
   TCheckBox *ClubChk;
   TCheckBox *LandChk;
   TCheckBox *GradeChk;
   TCheckBox *GroupChk;
   TCheckBox *SleepChk;
   TComboBox *GradeBox;
   TComboBox *GroupBox;
   TButton *FindBtn;
	TCheckBox *NoteChk;
	TComboBox *NoteBox;
	TEdit *R1Ed;
	TEdit *R2Ed;
	TEdit *R3Ed;
	TEdit *R4Ed;
	TEdit *R5Ed;
	TEdit *R6Ed;
	TEdit *R7ed;
	TEdit *R8Ed;
	TEdit *R9Ed;
	TEdit *R10Ed;
	TEdit *R11Ed;
	TEdit *R12Ed;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label9;
	TLabel *Label10;
	TLabel *Label11;
	TLabel *Label12;
	TLabel *CommentLbl;
	TCheckBox *MmsChk;
	TLabel *FoundLbl;
	TButton *ClearBtn;
	TEdit *MmsEd;
	TButton *CancelBtn;
   
   void __fastcall FindBtnClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall OnKeyDnEnter(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall ClearBtnClick(TObject *Sender);
	void __fastcall RoundClick(TObject *Sender);
	void __fastcall CancelBtnClick(TObject *Sender);

   public:
   	SListBox* FoundList;

   	bool Started;

	public:
   	__fastcall TSeekFrm
      (
      	TComponent* Owner,
         RegGUI::GRegGrid* rgrid,
         RegMaster::MFindTube& findtube
      );

      __fastcall ~TSeekFrm();

      void __fastcall TSeekFrm::ExtractLists(void);
};

//---------------------------------------------------------------------------
#endif
