//---------------------------------------------------------------------------

#ifndef TrainFormH
#define TrainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

#include "ResGUI.h"
#include "MenuMaster.h"
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TTrainFrm : public TForm
{
__published:	// IDE-managed Components
	TRadioGroup *DrawGroup;
	TGroupBox *PartDrawGroup;
	TButton *OkBtn;
	TButton *HelpBtn;
	TMaskEdit *PartDrawEd;
	TLabel *Label1;
	TButton *CancelBtn;
	void __fastcall OkBtnClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall DrawGroupClick(TObject *Sender);

private:
	TrainMaster::MTrainTube& TrainTube;
   ResGUI::GResGrid* ResGrid;
   String PartDrawEdText;

public:
	__fastcall TTrainFrm(TComponent* Owner, ResGUI::GResGrid* resrid, TrainMaster::MTrainTube& traintube);
};
//---------------------------------------------------------------------------
#endif
