////////////////////////////////////////////////////////////////////////////////
// MODULE PrinterRES.rc:   String resource for print messages G.Kaniuk 11/15/02
//

#ifndef PrRESH
#define PrRESH
                                 // 13500 - 13999
#define IDM_PRSTART           	13500            // PRINTER ROUTINES
#define IDM_PrintMUI           	IDM_PRSTART+1
#define IDM_PrintRegCmd				IDM_PRSTART+2
#define IDM_PrintDrawCmd			IDM_PRSTART+3
#define IDM_PrintReslCmd			IDM_PRSTART+4
#define IDM_PrintRankCmd			IDM_PRSTART+5
#define IDM_PrintPrizeCmd			IDM_PRSTART+6
#define IDM_PrintCardsCmd			IDM_PRSTART+7
#define IDM_PrintRulesCmd			IDM_PRSTART+8

#define IDM_PrintRegister			IDM_PRSTART+9
#define IDM_PrintDrawRes         IDM_PRSTART+10
#define IDM_PrintRank            IDM_PRSTART+11
#define IDM_PrintPrizes          IDM_PRSTART+12
#define IDM_PrintCards           IDM_PRSTART+13

#define IDM_PRINTFILE				IDM_PRSTART+100   // PRINTER MESSAGES
#define IDM_NoRegister				IDM_PRINTFILE+1
#define IDM_NoRegPrMemory        IDM_PRINTFILE+2
#define IDM_NoDraw               IDM_PRINTFILE+3
#define IDM_NoDrawPrMemory       IDM_PRINTFILE+4
#define IDM_NoResl               IDM_PRINTFILE+5
#define IDM_NoReslPrMemory       IDM_PRINTFILE+6
#define IDM_NoRank               IDM_PRINTFILE+7
#define IDM_NoRankPrMemory       IDM_PRINTFILE+8
#define IDM_NoPrizes             IDM_PRINTFILE+9
#define IDM_NoPrizePrMemory      IDM_PRINTFILE+10
#define IDM_NoCards              IDM_PRINTFILE+11
#define IDM_NoCardsPrMemory      IDM_PRINTFILE+12
#define IDM_NoRulesPrMemory      IDM_PRINTFILE+13

#define IDM_RegPub 					IDM_PRINTFILE+14
#define IDM_DrawPub              IDM_PRINTFILE+15
#define IDM_ReslPub              IDM_PRINTFILE+16
#define IDM_RankPub              IDM_PRINTFILE+17
#define IDM_PrizePub             IDM_PRINTFILE+18
#define IDM_CardsPub             IDM_PRINTFILE+19
#define IDM_RulesPub             IDM_PRINTFILE+20

#define IDM_NoRegPrFile				IDM_PRINTFILE+21
#define IDM_NoPrizePrFile			IDM_PRINTFILE+22
#define IDM_NoCardsPrFile        IDM_PRINTFILE+23

#define IDM_NoDrawPrFile         IDM_PRINTFILE+24
#define IDM_NoDrawPrPossible     IDM_PRINTFILE+25
#define IDM_NoDrawPrHeader       IDM_PRINTFILE+26
#define IDM_NoDrawPrBoards       IDM_PRINTFILE+27

#define IDM_PRDRAWRES				IDM_PRSTART+130
#define IDM_ROUND						IDM_PRDRAWRES+1
#define IDM_DRAW                 IDM_PRDRAWRES+2
#define IDM_RESULTS              IDM_PRDRAWRES+3
#define IDM_ROOMS                IDM_PRDRAWRES+4
#define IDM_ROOM                 IDM_PRDRAWRES+5
#define IDM_BOARDS               IDM_PRDRAWRES+6
#define IDM_BOARD                IDM_PRDRAWRES+7
#define IDM_BLACK                IDM_PRDRAWRES+8
#define IDM_WHITE                IDM_PRDRAWRES+9
#define IDM_TO                   IDM_PRDRAWRES+10

#define IDM_stones               IDM_PRDRAWRES+11
#define IDM_komi						IDM_PRDRAWRES+12
#define IDM_HANDICAP					IDM_PRDRAWRES+13
#define IDM_no_komi					IDM_PRDRAWRES+14
#define IDM_st                   IDM_PRDRAWRES+15


#define IDM_PLAYERS              IDM_PRSTART+150
#define IDM_RANKLIST             IDM_PLAYERS+1
#define IDM_BAR                  IDM_PLAYERS+2
#define IDM_WEB                  IDM_PLAYERS+3

#define IDM_PRIZELIST				IDM_PRSTART+160
#define IDM_PRIZES					IDM_PRIZELIST+1
#define IDM_PRIZETHRESHOLD 		IDM_PRIZELIST+2
#define IDM_PRIZEWINS				IDM_PRIZELIST+3

#define IDM_CARDS						IDM_PRSTART+170
#define IDM_CARDS_PRINT				IDM_CARDS+1
#define IDM_Instruct             IDM_CARDS+2
#define IDM_First                IDM_CARDS+3
#define IDM_Last                 IDM_CARDS+4
#define IDM_Order                IDM_CARDS+5
#define IDM_Range                IDM_CARDS+6
#define IDM_Of 						IDM_CARDS+7
#define IDM_To 						IDM_CARDS+8


#define IDM_TESTPR					IDM_PRSTART+180
#define IDM_PrintTestCmd         IDM_TESTPR+1
#define IDM_NoTestPrMemory       IDM_TESTPR+2
#define IDM_TestPub              IDM_TESTPR+3

#define IDM_SETUPPR					IDM_PRSTART+190
#define IDM_PrintSetupCmd			IDM_SETUPPR+1
#define IDM_NoSetupPrMemory      IDM_SETUPPR+2
#define IDM_PrinterPub           IDM_SETUPPR+3
#define IDM_Ready                IDM_SETUPPR+4

#define IDM_PRWARNINGS				IDM_PRSTART+200
#define IDM_WarnEdDraw 				IDM_PRWARNINGS+1
#define IDM_PrintAborted         IDM_PRWARNINGS+2

//------------------------------------------------------------------------------
#endif

 