////////////////////////////////////////////////////////////////////////////////
// MODULE FilesGUI:      Interface to  TFileStream        G.Kaniuk 23/08/04
//

#include <vcl.h>
#include <sysutils.hpp>
#pragma hdrstop

#include "FilesGUI.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

namespace ToolsGUI                                   // FILE ADMIN
{
	bool CopyFile(String SourceName, String SinkName)
   {
   	if(!FileExists(SourceName)) return false;

      TFileStream *SourceFile=0, *SinkFile=0;

   	try
      {
      	SourceFile = new TFileStream(SourceName, fmOpenRead|fmShareExclusive);
      	SinkFile   = new TFileStream(SinkName, fmCreate|fmShareExclusive);

         if(!SinkFile)
         	return false;

      	SinkFile->CopyFrom(SourceFile,0);

       	delete SourceFile;
         delete SinkFile;

         return true;
      }
      catch(...)
      {
      	delete SourceFile;
         delete SinkFile;

         return false;
      }
   }
}
//------------------------------------------------------------------------------ 