////////////////////////////////////////////////////////////////////////////////
// MODULE StringsGUI:       Support for String, TString        G.Kaniuk 7/05/02
//
#include <vcl.h>
#include "Strings.h"

#ifndef StringsGUIH
#define StringsGUIH

namespace ToolsGUI
{
   using Tools::SCodeList;

   void LoadCodeList(TStrings* codes, SCodeList& encoded);
   void LoadCodeStrings(SCodeList& encoded, TStrings* codes);

   SCodeList::Query UpdateCodeList(TStrings* codes, SCodeList& usedcodes);

   void ExtractNames(SCodeList& encoded, TStrings* names);
   void OfficialCode(TStrings* Official, SCodeList& actual, std::string& code);
   void OfficialClubCode(TStringList* official, SCodeList& clubs, std::string& clubcode);

   std::string PublicCode(TStrings* CodeList, std::string publicname);

   int FindNearest(const String text, TStrings* list, bool& exact);
   int FindInTabbedList(const String text, TStrings* list);
   void AddNewItem(const String item, TStrings* items);
}

namespace ToolsGUI
{
   bool WhiteSpace(const String S);
}
//---------------------------------------------------------------------------
#endif
