//---------------------------------------------------------------------------

#include <string>
#include <vcl.h>
#pragma hdrstop

#include "Strings.h"
#include "Format.h"

#include "GraphicsAPI.h"
#include "GoDrawGUI.h"
#include "AboutForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAboutFrm *AboutFrm;
//---------------------------------------------------------------------------
__fastcall TAboutFrm::TAboutFrm(TComponent* Owner):TForm(Owner)
{
	using std::string;
   using Tools::s_S;
   using Tools::real;
   using Tools::to_string;

	unsigned int Load, Total, Avail;

   VerLbl->Caption = String("GoDraw ") + s_S(GoDraw::Version);

   ToolsGUI::GetAvailableMemory(Load, Total, Avail);

   String Tab = String("\t");

   String sAvailB = String(Avail) + Tab;
   String sTotalB = String(Total) + Tab;

   real Scale = 1024*1024;

   string Mbytes("#####.#");

   string sAvailM = to_string(Mbytes, (real)Avail/Scale);
   string sTotalM = to_string(Mbytes, (real)Total/Scale);

   MemoryMemo->Lines->Strings[0] = String("MEMORY\tBytes\t\tMbytes");
   MemoryMemo->Lines->Strings[2] = String("Total\t\t") + sTotalB + s_S(sTotalM);
   MemoryMemo->Lines->Strings[4] = String("Available\t\t") + sAvailB + s_S(sAvailM);
}
//---------------------------------------------------------------------------
void __fastcall TAboutFrm::OkBtnClick(TObject *Sender)
{
   ModalResult = mrOk;
}
//---------------------------------------------------------------------------
