////////////////////////////////////////////////////////////////////////////////
// MODULE CardsForm:       CARDS PRINT RANGE        G.Kaniuk 22/01/05
//
#include <vcl.h>
#pragma hdrstop

#include "Strings.h"
#include "ETour.h"
#include "GoFormRES.h"
#include "PrRES.h"

#include "CardsForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TCardsFrm *CardsFrm;
//---------------------------------------------------------------------------
__fastcall TCardsFrm::TCardsFrm(TComponent* Owner, int active, int First, int Last):TForm(Owner)
{

	Caption = LoadStr(IDM_CARDS_PRINT);

   InstructLbl->Caption = LoadStr(IDM_Instruct);
   FirstLbl->Caption 	= LoadStr(IDM_First);
   LastLbl->Caption 		= LoadStr(IDM_Last);

   OkBtn->Caption       = LoadStr(IDF_Ok);

   ActivePlayers = active;

   FirstEd->Text = String(First);
   LastEd->Text  = String(Last);
}
//---------------------------------------------------------------------------


void __fastcall TCardsFrm::OkBtnClick(TObject *Sender)
{
	int iFirst = FirstEd->Text.ToInt(), iLast = LastEd->Text.ToInt();

   if(iFirst>ActivePlayers || iLast>ActivePlayers)
   {
   	ToolsGUI::OperatorError(IDM_Range);

      return;
   }

   if(iLast < iFirst)
   {
   	ToolsGUI::OperatorError(IDM_Order);

      return;
   }

	ModalResult = mrOk;	
}
//---------------------------------------------------------------------------

