////////////////////////////////////////////////////////////////////////////////
// MODULE FileRES.rc:  Messages on the File Menu           G.Kaniuk 15/05/04
//																	RANGE 12000 - 14999

#ifndef FileRESH
#define FileRESH

#define IDM_FILEMENU					12000					// ROUTINES
#define IDM_FileNew					IDM_FILEMENU+1
#define IDM_FileOpen             IDM_FILEMENU+2
#define IDM_FileBackup           IDM_FILEMENU+3
#define IDM_FileClose            IDM_FILEMENU+4
#define IDM_FileImport           IDM_FILEMENU+5
#define IDM_FileExport           IDM_FILEMENU+6
#define IDM_FileExit					IDM_FILEMENU+7
#define IDM_RnkExport            IDM_FILEMENU+8
#define IDM_WebExport            IDM_FILEMENU+9
#define IDM_GoRExport            IDM_FILEMENU+10

#define IDM_RnkTitle					IDM_FILEMENU+11
#define IDM_WebTitle					IDM_FILEMENU+12
#define IDM_GoRTitle					IDM_FILEMENU+13

#define IDM_FILENEW					IDM_FILEMENU+14
#define IDM_FileNewStart			IDM_FILENEW+1
#define IDM_FileNewSeed				IDM_FILENEW+2

#define IDM_FileNewErr				IDM_FILEMENU+21
#define IDM_FileOpenErr				IDM_FILEMENU+22
#define IDM_SelTourName 			IDM_FILEMENU+23
#define IDM_ReqTourNameYear 		IDM_FILEMENU+24
#define IDM_BadTourName          IDM_FILEMENU+25
#define IDM_BadYear              IDM_FILEMENU+26
#define IDM_NewEnter             IDM_FILEMENU+27
#define IDM_NewTourFile          IDM_FILEMENU+28

#define IDM_WarnEdit 			   IDM_FILEMENU+29
#define IDM_WarnForced 			   IDM_FILEMENU+30
#define IDM_WarnChoices          IDM_FILEMENU+31
#define IDM_TourClosed           IDM_FILEMENU+32
#define IDM_ClosureCancelled     IDM_FILEMENU+33

#define IDM_RegAllCmd 				IDM_FILEMENU+34

#define IDM_NoBackupLoc				IDM_FILEMENU+35
#define IDM_NoBackupAct          IDM_FILEMENU+36
#define IDM_NoBackup           	IDM_FILEMENU+37
#define IDM_NoBackupTour			IDM_FILEMENU+38
#define IDM_NoBackupGDI				IDM_FILEMENU+39
#define IDM_BackingUp				IDM_FILEMENU+40
#define IDM_BackedUp					IDM_FILEMENU+41

#define IDM_ExitWarning				IDM_FILEMENU+42
#define IDM_ExitRegEd				IDM_FILEMENU+43
#define IDM_ExitDrawEd				IDM_FILEMENU+44
#define IDM_ExitForced				IDM_FILEMENU+45
#define IDM_ExitChoices          IDM_FILEMENU+46

#define IDM_CloseRegCmd				IDM_FILEMENU+47
#define IDM_ReOpenCmd				IDM_FILEMENU+48
#define IDM_Wakeup					IDM_FILEMENU+49
#define IDM_EmptyBackup          IDM_FILEMENU+50

#define IDM_NoCopyAs					IDM_FILEMENU+51
#define IDM_SavedCopyAs				IDM_FILEMENU+52
#define IDM_NoAutoBackup			IDM_FILEMENU+53

#define IDM_Unknown					IDM_FILEMENU+2999

//------------------------------------------------------------------------------
#endif
