////////////////////////////////////////////////////////////////////////////////
// MODULE GoDrawRES.rc:   String resource for text             G.Kaniuk 20/04/02
//                        apart from control titles

#ifndef GoDrawRESH
#define GoDrawRESH

#define IDL_START       2000                 // RANGE 2000 - 2999

#define IDL_Empty       IDL_START + 0        // Empty string

#define IDL_REGISTER    IDL_START+1
#define IDL_Player      IDL_REGISTER+1       // Reg Pane
#define IDL_Name        IDL_REGISTER+2
#define IDL_Grade       IDL_REGISTER+3
#define IDL_Club        IDL_REGISTER+4
#define IDL_Land        IDL_REGISTER+5
#define IDL_Group       IDL_REGISTER+6
#define IDL_Rounds      IDL_REGISTER+7
#define IDL_Note        IDL_REGISTER+8

#define IDL_New         IDL_REGISTER+9
#define IDL_Round       IDL_REGISTER+10
#define IDL_Regis       IDL_REGISTER+11
#define IDL_Reg         IDL_REGISTER+12
#define IDL_Grp         IDL_REGISTER+13

#define IDL_DRAW        IDL_START + 100      // Draw / Results pane
#define IDL_Board       IDL_DRAW + 1
#define IDL_Black       IDL_DRAW + 2
#define IDL_Komi        IDL_DRAW + 3
#define IDL_White       IDL_DRAW + 4
#define IDL_Comm        IDL_DRAW + 5

#define IDL_GBOARD      IDL_DRAW + 6          
#define IDL_GBLACK      IDL_DRAW + 7
#define IDL_GWHITE      IDL_DRAW + 8
#define IDL_GHCAP       IDL_DRAW + 9
#define IDL_GRES        IDL_DRAW + 10


#define IDL_REGIMP      IDL_START + 200     // Register import
#define IDL_IPlayer     IDL_REGIMP+1
#define IDL_IReg        IDL_REGIMP+2
#define IDL_IName       IDL_REGIMP+3
#define IDL_IGrade      IDL_REGIMP+4
#define IDL_IClub       IDL_REGIMP+5
#define IDL_ILand       IDL_REGIMP+6
#define IDL_IRounds     IDL_REGIMP+7
#define IDL_IGroup      IDL_REGIMP+8
#define IDL_INote       IDL_REGIMP+9

#define IDL_IGiven      IDL_REGIMP+10
#define IDL_IFamily     IDL_REGIMP+11
#define IDL_INameGF    	IDL_REGIMP+12
#define IDL_INameFG    	IDL_REGIMP+13
#define IDL_IClubC      IDL_REGIMP+14
#define IDL_ILandC      IDL_REGIMP+15
#define IDL_IRating     IDL_REGIMP+16


#define IDL_REGPR			IDL_START+220			// Register print
#define IDL_RTITLE      IDL_REGPR+1
#define IDL_RSORTBY     IDL_REGPR+2
#define IDL_RPAGE       IDL_REGPR+3
#define IDL_ROF         IDL_REGPR+4


#define IDL_GPOSN       IDL_START + 300       // Ranklists
#define IDL_GNO         IDL_GPOSN+1
#define IDL_GWIN        IDL_GPOSN+2
#define IDL_GMMS        IDL_GPOSN+3

#define IDL_GNONE       IDL_GPOSN+4
#define IDL_GCUSS       IDL_GPOSN+5
#define IDL_GCUSP       IDL_GPOSN+6
#define IDL_GSOS        IDL_GPOSN+7
#define IDL_GSOSOS      IDL_GPOSN+8
#define IDL_GSODOS      IDL_GPOSN+9
#define IDL_GWINS       IDL_GPOSN+10

#define IDL_GRANK       IDL_GPOSN+11
#define IDL_GPLAYER     IDL_GPOSN+12

#define IDL_GLocate     IDL_GPOSN+20
#define IDL_Gwin			IDL_GPOSN+21
#define IDL_Gmms      	IDL_GPOSN+22
#define IDL_GPosn      	IDL_GPOSN+23
#define IDL_GNum      	IDL_GPOSN+24
#define IDL_Ggrade     	IDL_GPOSN+25
#define IDL_Gname     	IDL_GPOSN+26
#define IDL_Gclub     	IDL_GPOSN+27
#define IDL_Gland     	IDL_GPOSN+28




#define IDL_GNone       IDL_GPOSN+30
#define IDL_GCuss       IDL_GPOSN+31
#define IDL_GCusp       IDL_GPOSN+32
#define IDL_GSos        IDL_GPOSN+33
#define IDL_GSosos      IDL_GPOSN+34
#define IDL_GSsodos     IDL_GPOSN+35
#define IDL_GWins       IDL_GPOSN+36


#define IDL_FILE        IDL_START + 400
#define IDL_FRankList   IDL_FILE+1              // File Filters
#define IDL_FWebList    IDL_FILE+2
#define IDL_FGoRList    IDL_FILE+3

#define IDL_BUTTONS		IDL_START + 450			// BUTTON TITLES
#define IDL_Newplayer   IDL_BUTTONS+1
#define IDL_Ediplayer   IDL_BUTTONS+2
#define IDL_Ediview     IDL_BUTTONS+3


//------------------------------------------------------------------------------
#endif

