////////////////////////////////////////////////////////////////////////////////
// MODULE GoErrMsgRES:   String resource for ALL messages     G.Kaniuk 23/04/02
//

#ifndef GoErrMsgRESH
#define GoErrMsgRESH

#define IDE_MODULES        4000                       // Range 4000 - 9999

#define IDE_GUI            IDE_MODULES+1
#define IDE_GoDraw         IDE_GUI+1                  // Modules throwing errors
#define IDE_RegGUI         IDE_GUI+2
#define IDE_ResGUI         IDE_GUI+3
#define IDE_PairGUI        IDE_GUI+4
#define IDE_UpsetGUI       IDE_GUI+5
#define IDE_RegListsGUI    IDE_GUI+6

#define IDE_TOOLS          IDE_MODULES + 200
#define IDE_TourMaster     IDE_TOOLS+1
#define IDE_TextSmith      IDE_TOOLS+2
#define IDE_BuildRankList  IDE_TOOLS+3
#define IDE_Export         IDE_TOOLS+4

#define IDE_REG            IDE_MODULES + 300
#define IDE_Register       IDE_REG+1
#define IDE_RegMaster      IDE_REG+21
#define IDE_PlayerMaster   IDE_REG+31

#define IDE_PAIR           IDE_MODULES + 400
#define IDE_Pair           IDE_PAIR+1
#define IDE_PairMaster     IDE_PAIR+21

#define IDE_RES            IDE_MODULES + 500
#define IDE_Result         IDE_RES+1
#define IDE_ResMaster      IDE_RES+21

#define IDE_FORM           IDE_MODULES + 600
#define IDE_GoDrawForm     IDE_FORM+1                 // Modules catching errors
#define IDE_NewForm        IDE_FORM+2
#define IDE_RulesForm      IDE_FORM+3
#define IDE_PrefForm       IDE_FORM+4
#define IDE_SeekForm       IDE_FORM+5
#define IDE_PlayerForm     IDE_FORM+6
#define IDE_PairForm       IDE_FORM+7

#define IDE_MENU				IDE_MODULES + 700
#define IDE_FileMUI        IDE_MENU+1
#define IDE_EditMUI        IDE_MENU+2
#define IDE_SettingsMUI    IDE_MENU+3
#define IDE_PrintShopMUI   IDE_MENU+4
#define IDE_ToolsMUI       IDE_MENU+5
#define IDE_NavigateMUI    IDE_MENU+6
#define IDE_HelpMUI        IDE_MENU+7

#define IDE_RegPanelGUI		IDE_MENU+8
#define IDE_PairPanelGUI	IDE_MENU+9
#define IDE_PairEvent      IDE_MENU+10

#define IDE_POPUP				IDE_MODULES + 800
#define IDE_TourMUI			IDE_POPUP+1
#define IDE_PairMUI        IDE_POPUP+2



#define IDE_ROUTINES             IDE_MODULES + 1000          // Routines / events

#define IDE_MainFormCreate       IDE_ROUTINES+10

#define IDE_TPrefForm            IDE_ROUTINES+80
#define IDE_PrinterTest          IDE_ROUTINES+90
#define IDE_About                IDE_ROUTINES+100

#define IDE_CalculateScale       IDE_ROUTINES+110
#define IDE_LoadRow              IDE_ROUTINES+120
#define IDE_PrSetupClick         IDE_ROUTINES+130
#define IDE_SettingsPrefsClick   IDE_ROUTINES+140
#define IDE_CreateTextFile       IDE_ROUTINES+150
#define IDE_TextFileAdd          IDE_ROUTINES+160
#define IDE_GetPlayer            IDE_ROUTINES+170
#define IDE_NewPaneFields        IDE_ROUTINES+180
#define IDE_LoadFromFile         IDE_ROUTINES+190
#define IDE_RegGridStart         IDE_ROUTINES+200
#define IDE_LoadRegLists         IDE_ROUTINES+201
#define IDE_GCombo               IDE_ROUTINES+202
#define IDE_GName                IDE_ROUTINES+203
#define IDE_RegGridLoadFromTour  IDE_ROUTINES+204
#define IDE_LoadFromTour         IDE_ROUTINES+205
#define IDE_DeleteSelectedPlayers IDE_ROUTINES+206

#define IDE_PairGridStart        IDE_ROUTINES+210
#define IDE_ResGridStart         IDE_ROUTINES+211

#define IDE_Load                 IDE_ROUTINES+220

#define IDE_StartPrinter         IDE_ROUTINES+230
#define IDE_StartToursDirectory  IDE_ROUTINES+231

#define IDE_BeginCommand			IDE_ROUTINES+240
#define IDE_EndCommand				IDE_ROUTINES+241
#define IDE_edit_player          IDE_ROUTINES+242
#define IDE_save_player          IDE_ROUTINES+243
#define IDE_parse_player         IDE_ROUTINES+244
#define IDE_delete_players       IDE_ROUTINES+245
#define IDE_make_region       	IDE_ROUTINES+246


#define IDE_SaveHeader				IDE_ROUTINES+250
#define IDE_SavePlayer           IDE_ROUTINES+251
#define IDE_SaveTournament       IDE_ROUTINES+252

#define IDE_ListBoards           IDE_ROUTINES+260

#define IDE_MESS                 IDE_MODULES + 2000             // Warning Message Text
#define IDE_NoPrint              IDE_MESS+10
#define IDE_BugSeeHelp           IDE_MESS+20

#define IDE_BadRegFile           IDE_MESS+30
#define IDE_BadNameFile          IDE_MESS+31
#define IDE_BadCodeFile          IDE_MESS+32
#define IDE_BadSyntax            IDE_MESS+33


#define IDE_NoMemory             IDE_MESS+40
#define IDE_NoFileWrite          IDE_MESS+41
#define IDE_NoPlayers            IDE_MESS+42
#define IDE_NoCreateDir          IDE_MESS+43

#define IDE_BadNameSyntax        IDE_MESS+70
#define IDE_BadGradeSyntax       IDE_MESS+71
#define IDE_BadGroupSyntax       IDE_MESS+72
#define IDE_BadKomiSyntax        IDE_MESS+80
#define IDE_BadClubCodes			IDE_MESS+90
#define IDE_BadLandCodes			IDE_MESS+91
#define IDE_BadDeleteHelp			IDE_MESS+92

#define IDE_BUGS                 IDE_MODULES + 4000            // Bug Messages
#define IDE_Range                IDE_BUGS + 10
#define IDE_Damaged              IDE_BUGS + 20

#define IDE_BadCommand 				IDE_BUGS + 30
#define IDE_BadState					IDE_BUGS + 31
#define IDE_BadDelete				IDE_BUGS + 32
#define IDE_NoPost               IDE_BUGS + 33
#define IDE_BadPrefs             IDE_BUGS + 34
#define IDE_BadCodeSize				IDE_BUGS + 35

#define IDE_Impossible           IDE_BUGS + 1999


//------------------------------------------------------------------------------
#endif
