////////////////////////////////////////////////////////////////////////////////
// MODULE GoFormRES:      String resource for text          G.Kaniuk 08/03/02
//                        in all Dialogues

#ifndef GoFormRESH
#define GoFormRESH

#define IDF_START             10000                   // RANGE 10000 - 11999

#define IDF_FASTREG				IDF_START+1					// FAST REG
#define IDF_StartFastReg		IDF_FASTREG+1
#define IDF_EndFastReg			IDF_FASTREG+2
#define IDF_BadFastReg			IDF_FASTREG+3
#define IDF_HintFastReg			IDF_FASTREG+4
#define IDF_ClickFastReg		IDF_FASTREG+5
#define IDF_NoAddFastReg		IDF_FASTREG+6

#define IDF_WARNING           IDF_START+20            // WARNING MESSAGES
#define IDF_OverwriteFile     IDF_WARNING+1

#define IDF_BarEdit				IDF_START+40
#define IDF_BarChanged			IDF_START+41

#define IDF_OPERR             IDF_START+100           // WARNING MESSAGES
#define IDF_NoClubFile        IDF_OPERR+10            // OPERATOR ERROR
#define IDF_NoLandFile        IDF_OPERR+11            // OPERATOR ERROR

#define IDF_FILE              IDF_START+200           // MENU File
#define IDF_New					IDF_FILE+1					// File|New

#define IDF_FileExport        IDF_New+10             // File|Export
#define IDF_GoRFrmCap         IDF_FileExport + 10
#define IDF_RankFiled         IDF_FileExport + 20
#define IDF_WebFiled          IDF_FileExport + 21
#define IDF_GoRFiled          IDF_FileExport + 22
#define IDF_GoRFrmHead        IDF_FileExport + 23
#define IDF_NoExport          IDF_FileExport + 24

#define IDF_CTRLS             IDF_START+300           // CAPTIONS AND TITLES
#define IDF_Help              IDF_CTRLS+1
#define IDF_Cancel            IDF_CTRLS+2
#define IDF_Ok                IDF_CTRLS+3
#define IDF_Done              IDF_CTRLS+4
#define IDF_None					IDF_CTRLS+5
#define IDF_RegAll				IDF_CTRLS+6
#define IDF_UnRegAll				IDF_CTRLS+7

#define IDF_NEWFRM				IDF_START+310				// NEW PLAYER FORM
#define IDF_NoNewPlayerFrm    IDF_NEWFRM+1
#define IDF_CloseNewPlayerFrm IDF_NEWFRM+2

#define IDF_SEEKFRM				IDF_START+400				// SEEK FORM
#define IDF_NoSeekFrm			IDF_SEEKFRM+1
#define IDF_NotFound				IDF_SEEKFRM+2
#define IDF_RoundHint         IDF_SEEKFRM+3
#define IDF_SeekLbl           IDF_SEEKFRM+4
#define IDF_Found             IDF_SEEKFRM+5

#define IDF_BADSEEK				IDF_SEEKFRM+10
#define IDF_BadName				IDF_BADSEEK+1
#define IDF_BadGrade          IDF_BADSEEK+2
#define IDF_BadClub           IDF_BADSEEK+3
#define IDF_BadLand           IDF_BADSEEK+4
#define IDF_BadGroup          IDF_BADSEEK+5
#define IDF_BadNote          	IDF_BADSEEK+6
#define IDF_BadMMS           	IDF_BADSEEK+7
#define IDF_BadRound          IDF_BADSEEK+8
#define IDF_BadFields         IDF_BADSEEK+9

#define IDF_REGPANEL				IDF_START+500				// REGISTER PANEL
#define IDF_NoRegAll 			IDF_REGPANEL+1
#define IDF_RegdAll				IDF_REGPANEL+2
#define IDF_UnRegdAll			IDF_REGPANEL+3
#define IDF_NoFastReg         IDF_REGPANEL+4

#define IDF_NoRegClose        IDF_REGPANEL+10
#define IDF_TooFewPlayers     IDF_REGPANEL+11
#define IDF_MissingGrades     IDF_REGPANEL+12
#define IDF_MissingReg        IDF_REGPANEL+13
#define IDF_NewBarHead        IDF_REGPANEL+14
#define IDF_BGA               IDF_REGPANEL+15
#define IDF_EGF               IDF_REGPANEL+16
#define IDF_NewBarTail        IDF_REGPANEL+17
#define IDF_BarChangeNow      IDF_REGPANEL+18
#define IDF_DodgyBar          IDF_REGPANEL+19
#define IDF_FromTo            IDF_REGPANEL+20
#define IDF_RegClosed			IDF_REGPANEL+21
#define IDF_RegOpen				IDF_REGPANEL+22
#define IDF_RegNotClosed      IDF_REGPANEL+23
#define IDF_LateReg           IDF_REGPANEL+24
#define IDF_OddPlayers        IDF_REGPANEL+25
#define IDF_NoRegistered		IDF_REGPANEL+26

#define IDF_PastRound			IDF_REGPANEL+27
#define IDF_LatestRound			IDF_REGPANEL+28
#define IDF_RegEdClose  		IDF_REGPANEL+29
#define IDF_RegEdOpen  			IDF_REGPANEL+30
#define IDF_RegCloseInfo  		IDF_REGPANEL+31


#define IDF_REGBAR				IDF_REGPANEL+40
#define IDF_Sleep					IDF_REGBAR+1
#define IDF_LoBar					IDF_REGBAR+2
#define IDF_HiBar					IDF_REGBAR+3
#define IDF_NoMcmon				IDF_REGBAR+4
#define IDF_ManualBar         IDF_REGBAR+5
#define IDF_BarOrder          IDF_REGBAR+6
#define IDF_MacOrder          IDF_REGBAR+7
#define IDF_BarDepth          IDF_REGBAR+8
#define IDF_HiPopHint         IDF_REGBAR+9
#define IDF_LoPopHint         IDF_REGBAR+10
#define IDF_BarPopCount       IDF_REGBAR+11
#define IDF_UnknownBar        IDF_REGBAR+12

#define IDF_RESTORE           IDF_REGPANEL+60
#define IDF_Restore           IDF_RESTORE+1
#define IDF_NoForced          IDF_RESTORE+2
#define IDF_BadGoRound        IDF_RESTORE+3
#define IDF_ForcedCorrupt     IDF_RESTORE+4
#define IDF_FullyRestored     IDF_RESTORE+5

#define IDF_PANELEAVE			IDF_START+600
#define IDF_NoRegPanelAct		IDF_PANELEAVE+1
#define IDF_NoLeaveRes        IDF_PANELEAVE+2
#define IDF_NoChangeRoundReg  IDF_PANELEAVE+3
#define IDF_NoChangeRoundRes  IDF_PANELEAVE+4
#define IDF_NoNewEditDraw  	IDF_PANELEAVE+5
#define IDF_NoNewManualDraw  	IDF_PANELEAVE+6
#define IDF_OkCancelEdit  		IDF_PANELEAVE+7



#define IDF_PAIRPANEL			IDF_START+700				// PAIR PANEL

#endif

// GoFormRES
////////////////////////////////////////////////////////////////////////////////
