////////////////////////////////////////////////////////////////////////////////
// MODULE GoInfoRES.rc: StatusBar Messages                     G.Kaniuk 11/05/03
//
#ifndef GoInfoRESH
#define GoInfoRESH

#define IDI_START                3000              // RANGE 3000 3999

#define IDI_State                IDI_START + 1
#define IDI_SVirgin              IDI_State+0      // Tournament states
#define IDI_STourStart           IDI_State+1
#define IDI_SRegNow              IDI_State+2
#define IDI_SRegClosed           IDI_State+3
#define IDI_SDrawDone            IDI_State+4

#define IDI_SResultNow           IDI_State+5
#define IDI_SRoundDone           IDI_State+6
#define IDI_STourDone            IDI_State+7
#define IDI_SEditForced          IDI_State+8
#define IDI_SPartDraw				IDI_State+9
#define IDI_SEditNow             IDI_State+10
#define IDI_SForcedPair          IDI_State+11
#define IDI_SPastRound           IDI_State+12
#define IDI_SLocked              IDI_State+13

#define IDI_SFastReg             IDI_State+20         // Substates

#define IDI_INFO                 IDI_START + 100      // System startup
#define IDI_Ready                IDI_INFO+1
#define IDI_NoPlayerFile         IDI_INFO+2
#define IDI_NoPlayers            IDI_INFO+3
#define IDI_NoRegionFile         IDI_INFO+4
#define IDI_LdRegLists         	IDI_INFO+5
#define IDI_UdRegLists 	 			IDI_INFO+6
#define IDI_LdTour					IDI_INFO+7
#define IDI_LdReg						IDI_INFO+8
#define IDI_ReadyPast            IDI_INFO+9
#define IDI_NoAddPast            IDI_INFO+10

#define IDI_REGED                IDI_INFO + 100       // Register editing
#define IDI_BadChar              IDI_REGED+1
#define IDI_BadName              IDI_REGED+2
#define IDI_EditPlayer           IDI_REGED+3
#define IDI_EndPlayer            IDI_REGED+4
#define IDI_EditOK               IDI_REGED+5
#define IDI_FinishRegEd          IDI_REGED+6
#define IDI_Restored             IDI_REGED+7
#define IDI_NormalEd             IDI_REGED+8
#define IDI_AllReg               IDI_REGED+9
#define IDI_FastEd               IDI_REGED+10
#define IDI_DupPlayer            IDI_REGED+11
#define IDI_FastEdIgnore         IDI_REGED+12
#define IDI_FastEdAll            IDI_REGED+13

#define IDI_BadNumberForm			IDI_REGED+14
#define IDI_BadStatusForm        IDI_REGED+15
#define IDI_BadNameForm          IDI_REGED+16
#define IDI_BadGradeForm         IDI_REGED+17
#define IDI_BadClubForm          IDI_REGED+18
#define IDI_BadLandForm          IDI_REGED+19
#define IDI_BadRoundsForm        IDI_REGED+20
#define IDI_BadGroupForm         IDI_REGED+21
#define IDI_BadNoteForm          IDI_REGED+22
#define IDI_BadAreaForm		      IDI_REGED+23
#define IDI_BadFldSwiss   			IDI_REGED+24
#define IDI_BadFldAllPlay   		IDI_REGED+25
#define IDI_BadFld   				IDI_REGED+26


#define IDI_NewPlayer            IDI_REGED+30
#define IDI_NoDelAllowed         IDI_REGED+31
#define IDI_DelPlayers           IDI_REGED+32
#define IDI_NoRegEd              IDI_REGED+33
#define IDI_MissingField			IDI_REGED+34
#define IDI_DelPlayer            IDI_REGED+35
#define IDI_DelCurrent           IDI_REGED+36
#define IDI_DelSelected          IDI_REGED+37
#define IDI_DelOK                IDI_REGED+38
#define IDI_NoDelActive          IDI_REGED+39

#define IDI_GamesChanged			IDI_REGED+40
#define IDI_NewMMs 					IDI_REGED+41
#define IDI_JoinNow 					IDI_REGED+42
#define IDI_LeaveNow 				IDI_REGED+43
#define IDI_NoJoinLeave				IDI_REGED+44
#define IDI_FullyRestored        IDI_REGED+45
#define IDI_BadGames 				IDI_REGED+46
#define IDI_NoRegStatus				IDI_REGED+47
#define IDI_NoDelJoin          	IDI_REGED+48
#define IDI_NoDelLeave          	IDI_REGED+49
#define IDI_NoDel          		IDI_REGED+50
#define IDI_NoDelNow             IDI_REGED+51
#define IDI_DelCancel            IDI_REGED+52

#define IDI_NoOpenRegEd          IDI_REGED+53
#define IDI_NoNewRegEd           IDI_REGED+54
#define IDI_NoCloseRegEd         IDI_REGED+55
#define IDI_NoRegAll             IDI_REGED+56
#define IDI_NoUnRegAll           IDI_REGED+57
#define IDI_NoRestore            IDI_REGED+58
#define IDI_NoSort               IDI_REGED+59
#define IDI_NoFastNew            IDI_REGED+60
#define IDI_OneSpace             IDI_REGED+61

#define IDI_FilePlayerEd         IDI_REGED+62
#define IDI_SettPlayerEd         IDI_REGED+63
#define IDI_PrinPlayerEd         IDI_REGED+64
#define IDI_ToolPlayerEd         IDI_REGED+65
#define IDI_NoDeletion         	IDI_REGED+66
#define IDI_DelAll               IDI_REGED+67
#define IDI_DelAllPlayers        IDI_REGED+68
#define IDI_DelPlayerEd        	IDI_REGED+69
#define IDI_DelPlayersEd        	IDI_REGED+70
#define IDI_CloseRegEd,          IDI_REGED+71
#define IDI_NoPlayerEd        	IDI_REGED+72

#define IDI_DRAWED               IDI_INFO + 200       // Draw Editing
#define IDI_EditKomi             IDI_DRAWED+1
#define IDI_HiddenKomi           IDI_DRAWED+2
#define IDI_FinishKomi           IDI_DRAWED+3
#define IDI_NoSelfPair           IDI_DRAWED+4
#define IDI_NoWhite              IDI_DRAWED+5
#define IDI_CancelPair           IDI_DRAWED+6
#define IDI_KomiEdit             IDI_DRAWED+7
#define IDI_BlackWhite           IDI_DRAWED+8
#define IDI_NoEmpty              IDI_DRAWED+9
#define IDI_NoEditMode           IDI_DRAWED+10
#define IDI_NoEditNote           IDI_DRAWED+11
#define IDI_CancelEdit           IDI_DRAWED+12
#define IDI_NoDragKomi           IDI_DRAWED+13
#define IDI_BadRow               IDI_DRAWED+14
#define IDI_BlaWhiKom            IDI_DRAWED+15
#define IDI_Select               IDI_DRAWED+16
#define IDI_NoPairEd             IDI_DRAWED+17

#define IDI_RESED                IDI_INFO + 230       // Result Editing
#define IDI_EditResults          IDI_RESED+1
#define IDI_ResultKeys           IDI_RESED+2
#define IDI_EndBoards            IDI_RESED+3
#define IDI_ResultsDone          IDI_RESED+4
#define IDI_NoEnterReqd          IDI_RESED+5
#define IDI_NoResultEd           IDI_RESED+6
#define IDI_NoEmptyEd            IDI_RESED+7
#define IDI_FixError            	IDI_RESED+8

#define IDI_COMMENT              IDI_START + 400      // Comments of any kind
#define IDI_Repeat               IDI_COMMENT          // This is an indexed table
#define IDI_Club                 IDI_COMMENT+1
#define IDI_Land                 IDI_COMMENT+2
#define IDI_Uneven               IDI_COMMENT+3
#define IDI_Hcap                 IDI_COMMENT+4
#define IDI_Order                IDI_COMMENT+5

#define IDI_HINT                 IDI_START + 450      // Fixed hint text
#define IDI_SampleKomi_H         IDI_HINT+1
#define IDI_ResultKey_H          IDI_HINT+2

#define IDI_NoteField_H          IDI_HINT+3
#define IDI_GroupField_H         IDI_HINT+4

#define IDI_IMPORT					IDI_START + 500
#define IDI_ImportPlayerList		IDI_IMPORT+1
#define IDI_ImportErr            IDI_IMPORT+2
#define IDI_NoImportRegEd        IDI_IMPORT+3
#define IDI_Imported        		IDI_IMPORT+4

#define IDI_SeeHeaderDocs			IDI_IMPORT+5
#define IDI_BadPlayersFile       IDI_IMPORT+6
#define IDI_EmptyHeader          IDI_IMPORT+7
#define IDI_FewFields            IDI_IMPORT+8
#define IDI_ManyFields           IDI_IMPORT+9
#define IDI_MissingFamily        IDI_IMPORT+10
#define IDI_OnlyGivenFamily      IDI_IMPORT+11
#define IDI_BadNameFields        IDI_IMPORT+12
#define IDI_NoClub               IDI_IMPORT+13
#define IDI_BadClub              IDI_IMPORT+14
#define IDI_Spare              	IDI_IMPORT+15
#define IDI_NoGrade              IDI_IMPORT+16

#define IDI_FileImport				IDI_IMPORT+18
#define IDI_HeadErr					IDI_IMPORT+19
#define IDI_Unidentified			IDI_IMPORT+20
#define IDI_NoName		         IDI_IMPORT+21

#define IDI_PlayErr              IDI_IMPORT+22
#define IDI_PlayerFieldCount     IDI_IMPORT+23
#define IDI_PlayerBug            IDI_IMPORT+24
#define IDI_PlayerNameSyntax     IDI_IMPORT+25
#define IDI_PlayerListDup        IDI_IMPORT+26
#define IDI_PlayerTourDup        IDI_IMPORT+27

#define IDI_ImportAbandoned		IDI_IMPORT+28
#define IDI_ImportCount				IDI_IMPORT+29
#define IDI_ManyPlayers				IDI_IMPORT+30
#define IDI_SeePlayerDocs			IDI_IMPORT+31

#endif
//
////////////////////////////////////////////////////////////////////////////////

