//---------------------------------------------------------------------------

#ifndef JoinDrawFormH
#define JoinDrawFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "RegPanelGUI.h"
#include "MenuMaster.h"

//---------------------------------------------------------------------------

using TourJoinMaster::MJoinDrawTube;

class TJoinDrawFrm : public TForm
{
__published:	// IDE-managed Components
	TStaticText *JoiningText;
	TButton *YesBtn;
	TButton *NoBtn;
	TButton *HelpBtn;
	void __fastcall YesBtnClick(TObject *Sender);
	void __fastcall NoBtnClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);

private:
	RegPanelGUI::MListBox* JoinDrawBox;

public:
	MJoinDrawTube& JoinDrawTube;

	__fastcall TJoinDrawFrm(TComponent* Owner, MJoinDrawTube& joindrawtube);
};
//---------------------------------------------------------------------------
extern PACKAGE TJoinDrawFrm *JoinDrawFrm;
//---------------------------------------------------------------------------
#endif
