////////////////////////////////////////////////////////////////////////////////
// MODULE Model: Model Pairing and Simulated results 					07/11/04
////////////////////////////////////////////////////////////////////////////////
#include <list>
#include <vector>


#include "Maths.h"

#include "PairMaster.h"

#ifndef ModelH
#define ModelH

namespace Model										// PAIRING
{
	void UnevenHomeScan(PairMaster::PairCount& ModelCount);

   bool SimulateGame(int board);
   
   bool Pairing(int& PairedCount);

   void DisturbPairing(void);
}
//------------------------------------------------------------------------------
#endif
