////////////////////////////////////////////////////////////////////////////////
// MODULE PairEvent:       All Events on PairPanel      G.Kaniuk 15/05/04
//
#include "PairPaneGUI.h"

#ifndef PairPanelGUIH
#define PairPanelGUIH

namespace PairPanelGUI
{
	void __fastcall SetPairBtnCaption(TButton* PairBtn);
	void __fastcall SetCancelBtnCaption(TButton* CancelBtn);
   
	void __fastcall EditDrawCmd(TButton* CancelBtn, PaneGUI::GPairPane* PairPane);
   void __fastcall SaveDrawCmd(TButton* CancelBtn, PaneGUI::GPairPane* PairPane);

   void __fastcall CancelEditCmd
   (
   	TButton* DrawBtn, TButton* CancelBtn,
      PaneGUI::GPairPane* PairPane
   );

   void __fastcall CancelDrawCmd(TButton* CancelBtn, PaneGUI::GPairPane* PairPane);

   void __fastcall PairCmd
   (
   	TComponent* Owner, TButton* DrawBtn,  TButton* CancelBtn,
      PaneGUI::GPairPane* PairPane
   );

   void __fastcall ManualPairingCmd
   (
   	TComponent* Owner,  TButton* DrawBtn, TButton* CancelBtn,
      PaneGUI::GPairPane* PairPane
   );

   void __fastcall PairMonitorCmd(TComponent* Owner);
}
//---------------------------------------------------------------------------
#endif
 