//---------------------------------------------------------------------------
#include <Forms.hpp>

#include <Buttons.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <Mask.hpp>
#include <StdCtrls.hpp>

#include "PairMaster.h"

#ifndef PairParsFormH
#define PairParsFormH
//---------------------------------------------------------------------------

class TPairParsFrm : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *TrialsGrp;
	TButton *OkBtn;
	TLabel *TrialLbl;
	TMaskEdit *TrialEd;
	void __fastcall OkBtnClick(TObject *Sender);

private:
	PairMaster::PairParams& Pars;

public:
	__fastcall TPairParsFrm
   (
   	TComponent* Owner,
      bool Enabled,
      PairMaster::PairParams& Pars
   );
};
//---------------------------------------------------------------------------
//extern PACKAGE TPairParsFrm *PairParsFrm;
//---------------------------------------------------------------------------
#endif
