////////////////////////////////////////////////////////////////////////////////
// MODULE PairRES.rc:  Pairing Messages           G.Kaniuk 07/11/04
//

#ifndef PairRESH
#define PairRESH
                                                    // RANGE 14200 to 14799
#define IDQ_PAIR					   14200					// ROUTINES
#define IDQ_PairCmd					IDQ_PAIR+1
#define IDQ_EditCmd              IDQ_PAIR+2
#define IDQ_SaveCmd              IDQ_PAIR+3
#define IDQ_CancelCmd            IDQ_PAIR+4
#define IDQ_ForcedCmd            IDQ_PAIR+5
#define IDQ_MonitorForm          IDQ_PAIR+6
#define IDQ_Pair                 IDQ_PAIR+7
#define IDQ_CancelDrawCmd        IDQ_PAIR+8
#define IDQ_PairPanel            IDQ_PAIR+9
#define IDQ_ResKeyPress          IDQ_PAIR+10
#define IDQ_ResKeyDown           IDQ_PAIR+11
#define IDQ_DrawBtn					IDQ_PAIR+12
#define IDQ_EndManualBtn			IDQ_PAIR+13
#define IDQ_CancelBtn				IDQ_PAIR+14
#define IDQ_CancelDrawBtn			IDQ_PAIR+15
#define IDQ_CancelManualBtn		IDQ_PAIR+16
#define IDQ_CancelEditBtn			IDQ_PAIR+17



#define IDQ_MONITOR            	IDQ_PAIR+30
#define IDQ_Uneven					IDQ_MONITOR+0
#define IDQ_SameClub             IDQ_MONITOR+1
#define IDQ_SameLand             IDQ_MONITOR+2
#define IDQ_Model                IDQ_MONITOR+3
#define IDQ_Actual               IDQ_MONITOR+4
#define IDQ_Trial                IDQ_MONITOR+5
#define IDQ_MonCap					IDQ_MONITOR+6
#define IDQ_Player					IDQ_MONITOR+7
#define IDQ_Rounds					IDQ_MONITOR+8


#define IDQ_PAIRBUG					IDQ_PAIR + 100		// BUGS - OPERATOR HELPLESS
#define IDQ_NoPair               IDQ_PAIRBUG+1
#define IDQ_NoBoards             IDQ_PAIRBUG+2
#define IDQ_NoRound              IDQ_PAIRBUG+3
#define IDQ_NoMemory             IDQ_PAIRBUG+4
#define IDQ_NoEdMemory           IDQ_PAIRBUG+5
#define IDQ_NoForcedMemory       IDQ_PAIRBUG+6
#define IDQ_NoResetRound			IDQ_PAIRBUG+7
#define IDQ_NoManual             IDQ_PAIRBUG+8
#define IDQ_NoResEd              IDQ_PAIRBUG+9
#define IDQ_NoResDel             IDQ_PAIRBUG+10
#define IDQ_NoPairing            IDQ_PAIRBUG+11

#define IDQ_OPER						IDQ_PAIR + 200		// OPERATOR ACTION
#define IDQ_Incomplete				IDQ_OPER+1
#define IDQ_DrawComplete			IDQ_OPER+2
#define IDQ_RoundDone            IDQ_OPER+3

#define IDQ_EditNow              IDQ_OPER+4
#define IDQ_ForcedNow            IDQ_OPER+5
#define IDQ_Saved                IDQ_OPER+6
#define IDQ_DrawUndo             IDQ_OPER+7
#define IDQ_EditUndo             IDQ_OPER+8
#define IDQ_ForcedUndo           IDQ_OPER+9
#define IDQ_ForcedEditUndo       IDQ_OPER+10
#define IDQ_NoSave               IDQ_OPER+11
#define IDQ_NoUnevenEdit         IDQ_OPER+12
#define IDQ_NoUnevenDraw         IDQ_OPER+13
#define IDQ_DrawCompleteModel    IDQ_OPER+14
#define IDQ_DrawCompleteTest     IDQ_OPER+15

#define IDQ_KOMI						IDQ_PAIR+250
#define IDQ_BadKomiChar				IDQ_KOMI+1
#define IDQ_MissingOp            IDQ_KOMI+2
#define IDQ_MissingKomi          IDQ_KOMI+3
#define IDQ_BadKomi              IDQ_KOMI+4
#define IDQ_MissingStones        IDQ_KOMI+5
#define IDQ_HugeStones				IDQ_KOMI+6
#define IDQ_HugeKomi					IDQ_KOMI+7
#define IDQ_KomiEdited           IDQ_KOMI+8
#define IDQ_Editing					IDQ_KOMI+9
#define IDQ_Cancelling           IDQ_KOMI+10

#define IDQ_MAN						IDQ_PAIR+270
#define IDQ_OddParity				IDQ_MAN+1
#define IDQ_ManualReady				IDQ_MAN+2
#define IDQ_EndManualPair			IDQ_MAN+3

#define IDQ_RepeatGame           IDQ_MAN+4
#define IDQ_BadOrder 				IDQ_MAN+5

#define IDQ_LongUnpaired         IDQ_MAN+6
#define IDQ_ShortUnpaired        IDQ_MAN+7
#define IDQ_ModelAllUnpair       IDQ_MAN+8
#define IDQ_ModelUnpair       	IDQ_MAN+9

#define IDQ_OddMustPlay				IDQ_MAN+10
#define IDQ_MustPlayRepeat			IDQ_MAN+11

#define IDQ_NoAllPlayAll			IDQ_MAN+12
#define IDQ_AllPlayAllRepeat		IDQ_MAN+13

#define IDQ_NoAllPlayMan			IDQ_MAN+14

#define IDQ_BadRepeatOrder       IDQ_MAN+15

#define IDQ_Unknown					IDQ_PAIR + 599
//------------------------------------------------------------------------------
#endif

