//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include "TourRES.h"

#include "String.h"
#include "PrizeForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TPrizeFrm *PrizeFrm;
//---------------------------------------------------------------------------
__fastcall TPrizeFrm::TPrizeFrm(TComponent* Owner,TourPrizeMaster::MPrizeTube& PrizeTube): TForm(Owner)
{
	using Tools::s_S;

	Caption = LoadStr(IDT_PRIZELIST) + " - " + s_S(PrizeTube.TourNameYear);

	PrizeGrid->RowCount = PrizeTube.Active+1;
   PrizeGrid->ColCount = PrizeTube.Fields;

   for(int f=0; f<PrizeTube.Fields; f++)
      PrizeGrid->Cells[f][0] = s_S(PrizeTube.GetField(f,0));

   for(int row=1; row<PrizeGrid->RowCount; row++)
   for(int f=0; f<PrizeTube.Fields; f++)
      PrizeGrid->Cells[f][row] = s_S(PrizeTube.GetField(f,row));

   TGridRect GridRect;

   GridRect.Top = GridRect.Left = GridRect.Right = GridRect.Bottom = -1;

   PrizeGrid->Selection = GridRect;

}
//---------------------------------------------------------------------------
void __fastcall TPrizeFrm::PrizeGridSelectCell
(
	TObject *Sender, int col, int row, bool &CanSelect
)
{
	CanSelect = false;
}
//---------------------------------------------------------------------------

void __fastcall TPrizeFrm::OnMouseWheelUpDn(TObject *Sender,
      TShiftState Shift, TPoint &MousePos, bool &Handled)
{
	Handled = true;
}
//---------------------------------------------------------------------------

