////////////////////////////////////////////////////////////////////////////////
// MODULE PrinterRES.rc:   String resource for print messages G.Kaniuk 11/15/02
//

#ifndef PrinterRESH
#define PrinterRESH

#define IDP_START           1500            // PRINTER API errors 1500 - 1999

#define IDP_PrinterAPI      IDP_START+1
#define IDP_TestPage        IDP_START+2
#define IDP_SelectFontName  IDP_START+3
#define IDP_FontExists      IDP_START+4
#define IDP_GetPrinterFont  IDP_START+5
#define IDP_CreatePrinter   IDP_START+6
#define IDP_SetupPrinter    IDP_START+7
#define IDP_StartNewPrinter IDP_START+8
#define IDP_StartPrinter    IDP_START+9
#define IDP_EndPrinter      IDP_START+10
#define IDP_StartDoc        IDP_START+11
#define IDP_EndDoc          IDP_START+12
#define IDP_StartPage       IDP_START+13
#define IDP_EndPage         IDP_START+14
#define IDP_PrSheet         IDP_START+15
#define IDP_DelFont         IDP_START+16
#define IDP_SelFont         IDP_START+17
#define IDP_NewFont         IDP_START+18
#define IDP_SetFontMetrics  IDP_START+19
#define IDP_PrintBlock      IDP_START+20

#define IDP_NoDefault       IDP_START+30
#define IDP_NoDriver        IDP_START+31
#define IDP_BadWin          IDP_START+32
#define IDP_BadDriver       IDP_START+33
#define IDP_PrDlgSoft       IDP_START+34
#define IDP_PrDlgUnknown    IDP_START+35
#define IDP_PrDlgOther      IDP_START+36
#define IDP_NoDeleteDC      IDP_START+37
#define IDP_BadInit         IDP_START+38
#define IDP_NoDevnames      IDP_START+39
#define IDP_NoDevmode       IDP_START+40
#define IDP_NoNamesMode     IDP_START+41
#define IDP_BadPrDoc        IDP_START+42
#define IDP_NoMemory        IDP_START+43
#define IDP_BadFont         IDP_START+44
#define IDP_BadFontPar      IDP_START+45
#define IDP_BadSheet        IDP_START+46
#define IDP_BadTest         IDP_START+47
#define IDP_BadTextFace     IDP_START+48
#define IDP_BadMetrics      IDP_START+49
#define IDP_BadLength       IDP_START+50
#define IDP_BadIniDC        IDP_START+51
#define IDP_BadDC           IDP_START+52
#define IDP_Impossible      IDP_START+53
#define IDP_Test            IDP_START+54

#define IDP_Arial           IDP_START+60
#define IDP_Times           IDP_START+61
#define IDP_TestCap         IDP_START+62
#define IDP_TestPrompt      IDP_START+63
#define IDP_TestDoc         IDP_START+64

//------------------------------------------------------------------------------
#endif

